import request from '@/utils/request'

// 查询教师班级关系列表
export function listTeacherclass(query) {
  return request({
    url: '/dz/teacherclass/list',
    method: 'get',
    params: query
  })
}

// 查询教师班级关系列表
export function listAllTeacherClass(query) {
  return request({
    url: '/dz/teacherclass/listAllTeacherClass',
    method: 'get',
    params: query
  })
}

// 查询教师班级关系详细
export function getTeacherclass(id) {
  return request({
    url: '/dz/teacherclass/' + id,
    method: 'get'
  })
}

// 新增教师班级关系
export function addTeacherclass(data) {
  return request({
    url: '/dz/teacherclass',
    method: 'post',
    data: data
  })
}

export function batchBindTeacherClass(data) {
  return request({
    url: '/dz/teacherclass/batchBindTeacherClass',
    method: 'post',
    data: data
  })
}

// 修改教师班级关系
export function updateTeacherclass(data) {
  return request({
    url: '/dz/teacherclass',
    method: 'put',
    data: data
  })
}

// 删除教师班级关系
export function delTeacherclass(id) {
  return request({
    url: '/dz/teacherclass/' + id,
    method: 'delete'
  })
}
